Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network103.48.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
103.48.0.0
Broadcast address
103.55.255.255
First usable
103.48.0.1
Last usable
103.55.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 67300000 · Integer 1731198976 to 1731723263
Reverse DNS zones
48.103.in-addr.arpa
49.103.in-addr.arpa
50.103.in-addr.arpa
51.103.in-addr.arpa
52.103.in-addr.arpa
53.103.in-addr.arpa
54.103.in-addr.arpa
55.103.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100111.00110000.00000000.00000000103.48.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network01100111.00110000.00000000.00000000103.48.0.0
Broadcast01100111.00110111.11111111.11111111103.55.255.255
Split into smaller subnets/22

103.48.0.0/13 makes 512 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1103.48.0.0/22103.48.0.1 to 103.48.3.254103.48.3.2551,022
2103.48.4.0/22103.48.4.1 to 103.48.7.254103.48.7.2551,022
3103.48.8.0/22103.48.8.1 to 103.48.11.254103.48.11.2551,022
4103.48.12.0/22103.48.12.1 to 103.48.15.254103.48.15.2551,022
5103.48.16.0/22103.48.16.1 to 103.48.19.254103.48.19.2551,022
6103.48.20.0/22103.48.20.1 to 103.48.23.254103.48.23.2551,022
7103.48.24.0/22103.48.24.1 to 103.48.27.254103.48.27.2551,022
8103.48.28.0/22103.48.28.1 to 103.48.31.254103.48.31.2551,022
9103.48.32.0/22103.48.32.1 to 103.48.35.254103.48.35.2551,022
10103.48.36.0/22103.48.36.1 to 103.48.39.254103.48.39.2551,022
11103.48.40.0/22103.48.40.1 to 103.48.43.254103.48.43.2551,022
12103.48.44.0/22103.48.44.1 to 103.48.47.254103.48.47.2551,022
13103.48.48.0/22103.48.48.1 to 103.48.51.254103.48.51.2551,022
14103.48.52.0/22103.48.52.1 to 103.48.55.254103.48.55.2551,022
15103.48.56.0/22103.48.56.1 to 103.48.59.254103.48.59.2551,022
16103.48.60.0/22103.48.60.1 to 103.48.63.254103.48.63.2551,022
17103.48.64.0/22103.48.64.1 to 103.48.67.254103.48.67.2551,022
18103.48.68.0/22103.48.68.1 to 103.48.71.254103.48.71.2551,022
19103.48.72.0/22103.48.72.1 to 103.48.75.254103.48.75.2551,022
20103.48.76.0/22103.48.76.1 to 103.48.79.254103.48.79.2551,022
21103.48.80.0/22103.48.80.1 to 103.48.83.254103.48.83.2551,022
22103.48.84.0/22103.48.84.1 to 103.48.87.254103.48.87.2551,022
23103.48.88.0/22103.48.88.1 to 103.48.91.254103.48.91.2551,022
24103.48.92.0/22103.48.92.1 to 103.48.95.254103.48.95.2551,022
25103.48.96.0/22103.48.96.1 to 103.48.99.254103.48.99.2551,022
26103.48.100.0/22103.48.100.1 to 103.48.103.254103.48.103.2551,022
27103.48.104.0/22103.48.104.1 to 103.48.107.254103.48.107.2551,022
28103.48.108.0/22103.48.108.1 to 103.48.111.254103.48.111.2551,022
29103.48.112.0/22103.48.112.1 to 103.48.115.254103.48.115.2551,022
30103.48.116.0/22103.48.116.1 to 103.48.119.254103.48.119.2551,022
31103.48.120.0/22103.48.120.1 to 103.48.123.254103.48.123.2551,022
32103.48.124.0/22103.48.124.1 to 103.48.127.254103.48.127.2551,022
33103.48.128.0/22103.48.128.1 to 103.48.131.254103.48.131.2551,022
34103.48.132.0/22103.48.132.1 to 103.48.135.254103.48.135.2551,022
35103.48.136.0/22103.48.136.1 to 103.48.139.254103.48.139.2551,022
36103.48.140.0/22103.48.140.1 to 103.48.143.254103.48.143.2551,022
37103.48.144.0/22103.48.144.1 to 103.48.147.254103.48.147.2551,022
38103.48.148.0/22103.48.148.1 to 103.48.151.254103.48.151.2551,022
39103.48.152.0/22103.48.152.1 to 103.48.155.254103.48.155.2551,022
40103.48.156.0/22103.48.156.1 to 103.48.159.254103.48.159.2551,022
41103.48.160.0/22103.48.160.1 to 103.48.163.254103.48.163.2551,022
42103.48.164.0/22103.48.164.1 to 103.48.167.254103.48.167.2551,022
43103.48.168.0/22103.48.168.1 to 103.48.171.254103.48.171.2551,022
44103.48.172.0/22103.48.172.1 to 103.48.175.254103.48.175.2551,022
45103.48.176.0/22103.48.176.1 to 103.48.179.254103.48.179.2551,022
46103.48.180.0/22103.48.180.1 to 103.48.183.254103.48.183.2551,022
47103.48.184.0/22103.48.184.1 to 103.48.187.254103.48.187.2551,022
48103.48.188.0/22103.48.188.1 to 103.48.191.254103.48.191.2551,022
49103.48.192.0/22103.48.192.1 to 103.48.195.254103.48.195.2551,022
50103.48.196.0/22103.48.196.1 to 103.48.199.254103.48.199.2551,022
51103.48.200.0/22103.48.200.1 to 103.48.203.254103.48.203.2551,022
52103.48.204.0/22103.48.204.1 to 103.48.207.254103.48.207.2551,022
53103.48.208.0/22103.48.208.1 to 103.48.211.254103.48.211.2551,022
54103.48.212.0/22103.48.212.1 to 103.48.215.254103.48.215.2551,022
55103.48.216.0/22103.48.216.1 to 103.48.219.254103.48.219.2551,022
56103.48.220.0/22103.48.220.1 to 103.48.223.254103.48.223.2551,022
57103.48.224.0/22103.48.224.1 to 103.48.227.254103.48.227.2551,022
58103.48.228.0/22103.48.228.1 to 103.48.231.254103.48.231.2551,022
59103.48.232.0/22103.48.232.1 to 103.48.235.254103.48.235.2551,022
60103.48.236.0/22103.48.236.1 to 103.48.239.254103.48.239.2551,022
61103.48.240.0/22103.48.240.1 to 103.48.243.254103.48.243.2551,022
62103.48.244.0/22103.48.244.1 to 103.48.247.254103.48.247.2551,022
63103.48.248.0/22103.48.248.1 to 103.48.251.254103.48.251.2551,022
64103.48.252.0/22103.48.252.1 to 103.48.255.254103.48.255.2551,022
65103.49.0.0/22103.49.0.1 to 103.49.3.254103.49.3.2551,022
66103.49.4.0/22103.49.4.1 to 103.49.7.254103.49.7.2551,022
67103.49.8.0/22103.49.8.1 to 103.49.11.254103.49.11.2551,022
68103.49.12.0/22103.49.12.1 to 103.49.15.254103.49.15.2551,022
69103.49.16.0/22103.49.16.1 to 103.49.19.254103.49.19.2551,022
70103.49.20.0/22103.49.20.1 to 103.49.23.254103.49.23.2551,022
71103.49.24.0/22103.49.24.1 to 103.49.27.254103.49.27.2551,022
72103.49.28.0/22103.49.28.1 to 103.49.31.254103.49.31.2551,022
73103.49.32.0/22103.49.32.1 to 103.49.35.254103.49.35.2551,022
74103.49.36.0/22103.49.36.1 to 103.49.39.254103.49.39.2551,022
75103.49.40.0/22103.49.40.1 to 103.49.43.254103.49.43.2551,022
76103.49.44.0/22103.49.44.1 to 103.49.47.254103.49.47.2551,022
77103.49.48.0/22103.49.48.1 to 103.49.51.254103.49.51.2551,022
78103.49.52.0/22103.49.52.1 to 103.49.55.254103.49.55.2551,022
79103.49.56.0/22103.49.56.1 to 103.49.59.254103.49.59.2551,022
80103.49.60.0/22103.49.60.1 to 103.49.63.254103.49.63.2551,022
81103.49.64.0/22103.49.64.1 to 103.49.67.254103.49.67.2551,022
82103.49.68.0/22103.49.68.1 to 103.49.71.254103.49.71.2551,022
83103.49.72.0/22103.49.72.1 to 103.49.75.254103.49.75.2551,022
84103.49.76.0/22103.49.76.1 to 103.49.79.254103.49.79.2551,022
85103.49.80.0/22103.49.80.1 to 103.49.83.254103.49.83.2551,022
86103.49.84.0/22103.49.84.1 to 103.49.87.254103.49.87.2551,022
87103.49.88.0/22103.49.88.1 to 103.49.91.254103.49.91.2551,022
88103.49.92.0/22103.49.92.1 to 103.49.95.254103.49.95.2551,022
89103.49.96.0/22103.49.96.1 to 103.49.99.254103.49.99.2551,022
90103.49.100.0/22103.49.100.1 to 103.49.103.254103.49.103.2551,022
91103.49.104.0/22103.49.104.1 to 103.49.107.254103.49.107.2551,022
92103.49.108.0/22103.49.108.1 to 103.49.111.254103.49.111.2551,022
93103.49.112.0/22103.49.112.1 to 103.49.115.254103.49.115.2551,022
94103.49.116.0/22103.49.116.1 to 103.49.119.254103.49.119.2551,022
95103.49.120.0/22103.49.120.1 to 103.49.123.254103.49.123.2551,022
96103.49.124.0/22103.49.124.1 to 103.49.127.254103.49.127.2551,022
97103.49.128.0/22103.49.128.1 to 103.49.131.254103.49.131.2551,022
98103.49.132.0/22103.49.132.1 to 103.49.135.254103.49.135.2551,022
99103.49.136.0/22103.49.136.1 to 103.49.139.254103.49.139.2551,022
100103.49.140.0/22103.49.140.1 to 103.49.143.254103.49.143.2551,022
101103.49.144.0/22103.49.144.1 to 103.49.147.254103.49.147.2551,022
102103.49.148.0/22103.49.148.1 to 103.49.151.254103.49.151.2551,022
103103.49.152.0/22103.49.152.1 to 103.49.155.254103.49.155.2551,022
104103.49.156.0/22103.49.156.1 to 103.49.159.254103.49.159.2551,022
105103.49.160.0/22103.49.160.1 to 103.49.163.254103.49.163.2551,022
106103.49.164.0/22103.49.164.1 to 103.49.167.254103.49.167.2551,022
107103.49.168.0/22103.49.168.1 to 103.49.171.254103.49.171.2551,022
108103.49.172.0/22103.49.172.1 to 103.49.175.254103.49.175.2551,022
109103.49.176.0/22103.49.176.1 to 103.49.179.254103.49.179.2551,022
110103.49.180.0/22103.49.180.1 to 103.49.183.254103.49.183.2551,022
111103.49.184.0/22103.49.184.1 to 103.49.187.254103.49.187.2551,022
112103.49.188.0/22103.49.188.1 to 103.49.191.254103.49.191.2551,022
113103.49.192.0/22103.49.192.1 to 103.49.195.254103.49.195.2551,022
114103.49.196.0/22103.49.196.1 to 103.49.199.254103.49.199.2551,022
115103.49.200.0/22103.49.200.1 to 103.49.203.254103.49.203.2551,022
116103.49.204.0/22103.49.204.1 to 103.49.207.254103.49.207.2551,022
117103.49.208.0/22103.49.208.1 to 103.49.211.254103.49.211.2551,022
118103.49.212.0/22103.49.212.1 to 103.49.215.254103.49.215.2551,022
119103.49.216.0/22103.49.216.1 to 103.49.219.254103.49.219.2551,022
120103.49.220.0/22103.49.220.1 to 103.49.223.254103.49.223.2551,022
121103.49.224.0/22103.49.224.1 to 103.49.227.254103.49.227.2551,022
122103.49.228.0/22103.49.228.1 to 103.49.231.254103.49.231.2551,022
123103.49.232.0/22103.49.232.1 to 103.49.235.254103.49.235.2551,022
124103.49.236.0/22103.49.236.1 to 103.49.239.254103.49.239.2551,022
125103.49.240.0/22103.49.240.1 to 103.49.243.254103.49.243.2551,022
126103.49.244.0/22103.49.244.1 to 103.49.247.254103.49.247.2551,022
127103.49.248.0/22103.49.248.1 to 103.49.251.254103.49.251.2551,022
128103.49.252.0/22103.49.252.1 to 103.49.255.254103.49.255.2551,022
129103.50.0.0/22103.50.0.1 to 103.50.3.254103.50.3.2551,022
130103.50.4.0/22103.50.4.1 to 103.50.7.254103.50.7.2551,022
131103.50.8.0/22103.50.8.1 to 103.50.11.254103.50.11.2551,022
132103.50.12.0/22103.50.12.1 to 103.50.15.254103.50.15.2551,022
133103.50.16.0/22103.50.16.1 to 103.50.19.254103.50.19.2551,022
134103.50.20.0/22103.50.20.1 to 103.50.23.254103.50.23.2551,022
135103.50.24.0/22103.50.24.1 to 103.50.27.254103.50.27.2551,022
136103.50.28.0/22103.50.28.1 to 103.50.31.254103.50.31.2551,022
137103.50.32.0/22103.50.32.1 to 103.50.35.254103.50.35.2551,022
138103.50.36.0/22103.50.36.1 to 103.50.39.254103.50.39.2551,022
139103.50.40.0/22103.50.40.1 to 103.50.43.254103.50.43.2551,022
140103.50.44.0/22103.50.44.1 to 103.50.47.254103.50.47.2551,022
141103.50.48.0/22103.50.48.1 to 103.50.51.254103.50.51.2551,022
142103.50.52.0/22103.50.52.1 to 103.50.55.254103.50.55.2551,022
143103.50.56.0/22103.50.56.1 to 103.50.59.254103.50.59.2551,022
144103.50.60.0/22103.50.60.1 to 103.50.63.254103.50.63.2551,022
145103.50.64.0/22103.50.64.1 to 103.50.67.254103.50.67.2551,022
146103.50.68.0/22103.50.68.1 to 103.50.71.254103.50.71.2551,022
147103.50.72.0/22103.50.72.1 to 103.50.75.254103.50.75.2551,022
148103.50.76.0/22103.50.76.1 to 103.50.79.254103.50.79.2551,022
149103.50.80.0/22103.50.80.1 to 103.50.83.254103.50.83.2551,022
150103.50.84.0/22103.50.84.1 to 103.50.87.254103.50.87.2551,022
151103.50.88.0/22103.50.88.1 to 103.50.91.254103.50.91.2551,022
152103.50.92.0/22103.50.92.1 to 103.50.95.254103.50.95.2551,022
153103.50.96.0/22103.50.96.1 to 103.50.99.254103.50.99.2551,022
154103.50.100.0/22103.50.100.1 to 103.50.103.254103.50.103.2551,022
155103.50.104.0/22103.50.104.1 to 103.50.107.254103.50.107.2551,022
156103.50.108.0/22103.50.108.1 to 103.50.111.254103.50.111.2551,022
157103.50.112.0/22103.50.112.1 to 103.50.115.254103.50.115.2551,022
158103.50.116.0/22103.50.116.1 to 103.50.119.254103.50.119.2551,022
159103.50.120.0/22103.50.120.1 to 103.50.123.254103.50.123.2551,022
160103.50.124.0/22103.50.124.1 to 103.50.127.254103.50.127.2551,022
161103.50.128.0/22103.50.128.1 to 103.50.131.254103.50.131.2551,022
162103.50.132.0/22103.50.132.1 to 103.50.135.254103.50.135.2551,022
163103.50.136.0/22103.50.136.1 to 103.50.139.254103.50.139.2551,022
164103.50.140.0/22103.50.140.1 to 103.50.143.254103.50.143.2551,022
165103.50.144.0/22103.50.144.1 to 103.50.147.254103.50.147.2551,022
166103.50.148.0/22103.50.148.1 to 103.50.151.254103.50.151.2551,022
167103.50.152.0/22103.50.152.1 to 103.50.155.254103.50.155.2551,022
168103.50.156.0/22103.50.156.1 to 103.50.159.254103.50.159.2551,022
169103.50.160.0/22103.50.160.1 to 103.50.163.254103.50.163.2551,022
170103.50.164.0/22103.50.164.1 to 103.50.167.254103.50.167.2551,022
171103.50.168.0/22103.50.168.1 to 103.50.171.254103.50.171.2551,022
172103.50.172.0/22103.50.172.1 to 103.50.175.254103.50.175.2551,022
173103.50.176.0/22103.50.176.1 to 103.50.179.254103.50.179.2551,022
174103.50.180.0/22103.50.180.1 to 103.50.183.254103.50.183.2551,022
175103.50.184.0/22103.50.184.1 to 103.50.187.254103.50.187.2551,022
176103.50.188.0/22103.50.188.1 to 103.50.191.254103.50.191.2551,022
177103.50.192.0/22103.50.192.1 to 103.50.195.254103.50.195.2551,022
178103.50.196.0/22103.50.196.1 to 103.50.199.254103.50.199.2551,022
179103.50.200.0/22103.50.200.1 to 103.50.203.254103.50.203.2551,022
180103.50.204.0/22103.50.204.1 to 103.50.207.254103.50.207.2551,022
181103.50.208.0/22103.50.208.1 to 103.50.211.254103.50.211.2551,022
182103.50.212.0/22103.50.212.1 to 103.50.215.254103.50.215.2551,022
183103.50.216.0/22103.50.216.1 to 103.50.219.254103.50.219.2551,022
184103.50.220.0/22103.50.220.1 to 103.50.223.254103.50.223.2551,022
185103.50.224.0/22103.50.224.1 to 103.50.227.254103.50.227.2551,022
186103.50.228.0/22103.50.228.1 to 103.50.231.254103.50.231.2551,022
187103.50.232.0/22103.50.232.1 to 103.50.235.254103.50.235.2551,022
188103.50.236.0/22103.50.236.1 to 103.50.239.254103.50.239.2551,022
189103.50.240.0/22103.50.240.1 to 103.50.243.254103.50.243.2551,022
190103.50.244.0/22103.50.244.1 to 103.50.247.254103.50.247.2551,022
191103.50.248.0/22103.50.248.1 to 103.50.251.254103.50.251.2551,022
192103.50.252.0/22103.50.252.1 to 103.50.255.254103.50.255.2551,022
193103.51.0.0/22103.51.0.1 to 103.51.3.254103.51.3.2551,022
194103.51.4.0/22103.51.4.1 to 103.51.7.254103.51.7.2551,022
195103.51.8.0/22103.51.8.1 to 103.51.11.254103.51.11.2551,022
196103.51.12.0/22103.51.12.1 to 103.51.15.254103.51.15.2551,022
197103.51.16.0/22103.51.16.1 to 103.51.19.254103.51.19.2551,022
198103.51.20.0/22103.51.20.1 to 103.51.23.254103.51.23.2551,022
199103.51.24.0/22103.51.24.1 to 103.51.27.254103.51.27.2551,022
200103.51.28.0/22103.51.28.1 to 103.51.31.254103.51.31.2551,022
201103.51.32.0/22103.51.32.1 to 103.51.35.254103.51.35.2551,022
202103.51.36.0/22103.51.36.1 to 103.51.39.254103.51.39.2551,022
203103.51.40.0/22103.51.40.1 to 103.51.43.254103.51.43.2551,022
204103.51.44.0/22103.51.44.1 to 103.51.47.254103.51.47.2551,022
205103.51.48.0/22103.51.48.1 to 103.51.51.254103.51.51.2551,022
206103.51.52.0/22103.51.52.1 to 103.51.55.254103.51.55.2551,022
207103.51.56.0/22103.51.56.1 to 103.51.59.254103.51.59.2551,022
208103.51.60.0/22103.51.60.1 to 103.51.63.254103.51.63.2551,022
209103.51.64.0/22103.51.64.1 to 103.51.67.254103.51.67.2551,022
210103.51.68.0/22103.51.68.1 to 103.51.71.254103.51.71.2551,022
211103.51.72.0/22103.51.72.1 to 103.51.75.254103.51.75.2551,022
212103.51.76.0/22103.51.76.1 to 103.51.79.254103.51.79.2551,022
213103.51.80.0/22103.51.80.1 to 103.51.83.254103.51.83.2551,022
214103.51.84.0/22103.51.84.1 to 103.51.87.254103.51.87.2551,022
215103.51.88.0/22103.51.88.1 to 103.51.91.254103.51.91.2551,022
216103.51.92.0/22103.51.92.1 to 103.51.95.254103.51.95.2551,022
217103.51.96.0/22103.51.96.1 to 103.51.99.254103.51.99.2551,022
218103.51.100.0/22103.51.100.1 to 103.51.103.254103.51.103.2551,022
219103.51.104.0/22103.51.104.1 to 103.51.107.254103.51.107.2551,022
220103.51.108.0/22103.51.108.1 to 103.51.111.254103.51.111.2551,022
221103.51.112.0/22103.51.112.1 to 103.51.115.254103.51.115.2551,022
222103.51.116.0/22103.51.116.1 to 103.51.119.254103.51.119.2551,022
223103.51.120.0/22103.51.120.1 to 103.51.123.254103.51.123.2551,022
224103.51.124.0/22103.51.124.1 to 103.51.127.254103.51.127.2551,022
225103.51.128.0/22103.51.128.1 to 103.51.131.254103.51.131.2551,022
226103.51.132.0/22103.51.132.1 to 103.51.135.254103.51.135.2551,022
227103.51.136.0/22103.51.136.1 to 103.51.139.254103.51.139.2551,022
228103.51.140.0/22103.51.140.1 to 103.51.143.254103.51.143.2551,022
229103.51.144.0/22103.51.144.1 to 103.51.147.254103.51.147.2551,022
230103.51.148.0/22103.51.148.1 to 103.51.151.254103.51.151.2551,022
231103.51.152.0/22103.51.152.1 to 103.51.155.254103.51.155.2551,022
232103.51.156.0/22103.51.156.1 to 103.51.159.254103.51.159.2551,022
233103.51.160.0/22103.51.160.1 to 103.51.163.254103.51.163.2551,022
234103.51.164.0/22103.51.164.1 to 103.51.167.254103.51.167.2551,022
235103.51.168.0/22103.51.168.1 to 103.51.171.254103.51.171.2551,022
236103.51.172.0/22103.51.172.1 to 103.51.175.254103.51.175.2551,022
237103.51.176.0/22103.51.176.1 to 103.51.179.254103.51.179.2551,022
238103.51.180.0/22103.51.180.1 to 103.51.183.254103.51.183.2551,022
239103.51.184.0/22103.51.184.1 to 103.51.187.254103.51.187.2551,022
240103.51.188.0/22103.51.188.1 to 103.51.191.254103.51.191.2551,022
241103.51.192.0/22103.51.192.1 to 103.51.195.254103.51.195.2551,022
242103.51.196.0/22103.51.196.1 to 103.51.199.254103.51.199.2551,022
243103.51.200.0/22103.51.200.1 to 103.51.203.254103.51.203.2551,022
244103.51.204.0/22103.51.204.1 to 103.51.207.254103.51.207.2551,022
245103.51.208.0/22103.51.208.1 to 103.51.211.254103.51.211.2551,022
246103.51.212.0/22103.51.212.1 to 103.51.215.254103.51.215.2551,022
247103.51.216.0/22103.51.216.1 to 103.51.219.254103.51.219.2551,022
248103.51.220.0/22103.51.220.1 to 103.51.223.254103.51.223.2551,022
249103.51.224.0/22103.51.224.1 to 103.51.227.254103.51.227.2551,022
250103.51.228.0/22103.51.228.1 to 103.51.231.254103.51.231.2551,022
251103.51.232.0/22103.51.232.1 to 103.51.235.254103.51.235.2551,022
252103.51.236.0/22103.51.236.1 to 103.51.239.254103.51.239.2551,022
253103.51.240.0/22103.51.240.1 to 103.51.243.254103.51.243.2551,022
254103.51.244.0/22103.51.244.1 to 103.51.247.254103.51.247.2551,022
255103.51.248.0/22103.51.248.1 to 103.51.251.254103.51.251.2551,022
256103.51.252.0/22103.51.252.1 to 103.51.255.254103.51.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses